Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSReadAttrElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSReadAttrElement

All Implemented Interfaces:
  SomeAttrElement, XDSElement

public class XDSReadAttrElement
extends ElementImpl
implements SomeAttrElement

A `<read-attr>` element.

See Also:
  `XDSQueryElement.appendReadAttrElement()`, `XDSQueryElement.childElements()`, `XDSQueryElement.containsReadAttrElements()`, `XDSQueryElement.extractReadAttrElements()`

Method Summary
`String` | `getAttrName()` Gets the value of this element's `attr-name` attribute.
`ReadAttrType` | `getType()` Gets the value of this element's `type` attribute.
`boolean` | `hasDefaultType()` Is this element's `type` equal to "default"?
`boolean` | `hasXMLType()` Is this element's `type` equal to "xml"?
`boolean` | `isNameless()` Does this element have a `name` attribute or attribute value?
`void` | `setAttrName(String someName)` Sets this element's `attr-name` attribute to `someName`.
`void` | `setType(ReadAttrType someType)` Sets this element's `type` attribute to `someType`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### getAttrName

    public String getAttrName()

  Description copied from interface: `SomeAttrElement`
  Gets the value of this element's `attr-name` attribute.

  Invocation Context:
    READ

  Specified by:
    `getAttrName` in interface `SomeAttrElement`
  Returns:
    will not return `null`; will not return `""`

### isNameless

    public boolean isNameless()

  Does this element have a `name` attribute or attribute value?

  Invocation Context:
    READ

  Returns:
    `false` is this document does have a `name` attribute or attribute value, `true` otherwise

### getType

    public ReadAttrType getType()

  Gets the value of this element's `type` attribute.

  Invocation Context:
    READ

  Returns:
    will not return `null`

### hasXMLType

    public boolean hasXMLType()

  Is this element's `type` equal to "xml"?

  Invocation Context:
    READ

  Returns:
    `true`:
      if this element's `type` attribute value equals `"xml"`
    `false`:
      if this element's `type` attribute value does not equal `"xml"`

### hasDefaultType

    public boolean hasDefaultType()

  Is this element's `type` equal to "default"?

  Invocation Context:
    READ

  Returns:
    `true`:
      if this element's `type` attribute is absent or it's value equals `"default"`
    `false`:
      if this element's `type` attribute value does not equal `"default"`

### setAttrName

    public void setAttrName(String someName)

  Description copied from interface: `SomeAttrElement`
  Sets this element's `attr-name` attribute to `someName`.

  Invocation Context:
    WRITE

  Specified by:
    `setAttrName` in interface `SomeAttrElement`
  Parameters:
    `someName` - if `null` or `""`, no action is taken

### setType

    public void setType(ReadAttrType someType)

  Sets this element's `type` attribute to `someType`.

  Invocation Context:
    WRITE

  Parameters:
    `someType` - if `null` no action is taken

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD